namespace Syntriax.Modules.Factory
{
    public interface IFactory
    {
        /// <summary>
        /// Initializes the <see cref="IFactory"/>
        /// </summary>
        public void Initialize();

        /// <summary>
        /// Resets the <see cref="IFactory"/>
        /// </summary>
        public void Reset();
    }
}
